from . import views
from django.urls import path

app_name = 'gestion_employe'

urlpatterns = [
    path(
        '', 
        views.index, 
        name='index'
    ),
    path(
        'liste-employes/', 
        views.liste_employe, 
        name='liste-employes'
    ),
    path(
        'enregistrer-detail-employe/', 
        views.enregistrer_detail_employe, 
        name='enregistrer-detail-employe'
    ),
    path(
        'affectation/supprimer/',
        views.suppression_affectation,
        name='supprimer-affectation'
    ),
    path(
        'contrat/creation/',
        views.creation_contrat,
        name='creation-contrat'
    ),
    path(
        'contrat/supprimer/',
        views.suppression_contrat,
        name='supprimer-contrat'
    ),
    path(
        'Affectation/affectation/',
        views.affecter_employe_projet,
        name='affecter_employe_projet'
    ),
    path(
        'mon-profil/',
        views.mon_profil,
        name='mon-profil'
    ),
    path(
        'enregistrement-document-rh',
        views.enregistrement_document,
        name='enregistrement-document-rh'
    ),
    path(
        'modifier-employe',
        views.modifier_employer, 
        name='modifier-employe'
    ),
    path(
        "mes-formations/ajouter/", 
        views.ajouter_formation,
        name="ajouter_formation"
    ),
    path(
        "mes-formations/liste/", 
        views.liste_formation,
        name="liste-formation"
    ),
    path(
        "mes-formations/modifier/<int:pk>/",
        views.modifier_formation,
        name="modifier_formation"
    ),
    path(
        "mes-formations/supprimer/<int:pk>/",
        views.supprimer_formation, 
        name="supprimer_formation"
    ),
    path(
        'modifier-mot-passe/', 
        views.modifier_mot_passe, 
        name='modifier-mot-passe'
    ),
    path(
        "liste-contrat-expirants",
        views.liste_contrat_expirants,
        name='liste-contrat-expirants'
    )
]